import { v4 as uuidv4, validate as validateUUID } from 'uuid';
import { Request, Response, NextFunction } from 'express';

export function checkUuid(req: Request, res: Response, next: NextFunction) {
  const { userId } = req.body;
  if (!validateUUID(userId)) {
    res.status(400).json({ error: 'Invalid user id' });
    return;
  }
  next();
}
