import { Request, Response, NextFunction } from 'express';
import { ApiError } from '../utils/ApiError';

const isValidBody = async (req: Request, res: Response, next: NextFunction) => {
  const { name, description, price } = req.body;
  if (!name || !description || !price) {
    console.log("Error in product validation")
    const error = new ApiError(`${!name ? 'name' : !description ? 'description' : 'price'} is required}`);
    error.statusCode = 400;
    error.status = 'fail';
    return next(error);
  }
  next();
}