import express from 'express';
import { authenticateToken } from '../middlewares/checkAuth';
import { addToCart, listCart, checkout, clearCart } from '../controllers/cartController';
import { checkUuid } from '../middlewares/checkUuid'; 

const cartRouter = express.Router();

cartRouter.post('/', [authenticateToken], addToCart);
cartRouter.get('/', [authenticateToken], listCart);

cartRouter.post('/checkout', authenticateToken, checkout);
cartRouter.delete('/', authenticateToken, clearCart)

export default cartRouter;