import express from 'express';
import { create, login, logout, getAll, deleteHandler } from '../controllers/UserController';
import { isValidCreateUser, isValidLogin } from '../middlewares/usersResourceValidation';
import { authenticateToken } from '../middlewares/checkAuth';

const userRouter = express.Router();

userRouter.post('/', isValidCreateUser, create);
userRouter.get('/', getAll);
userRouter.post('/login', isValidLogin, login);
userRouter.post('/logout', logout);
userRouter.delete('/:id', authenticateToken, deleteHandler)

export default userRouter;