import mongoose, { Schema, Document } from 'mongoose';

interface ICart extends Document {
  userId: string;
  products: { [itemId: string]: number };
  createdAt: Date;
  updatedAt: Date;
}


const CartSchema: Schema = new Schema({
  userId: { type: Schema.Types.ObjectId, ref: 'User', required: true, unique: true },
  products: { type: Schema.Types.Mixed, default: {} },
  createdAt: { type: Date, default: Date.now },
  updatedAt: { type: Date, default: Date.now },
});

const Cart = mongoose.model<ICart>('Cart', CartSchema);

export {
  Cart,
  ICart
}
