import mongoose, { Schema, Document } from 'mongoose';

interface IOrder extends Document {
  userId: string;
  products: { [itemId: string]: number };
  emailSent: boolean;
  createdAt: Date;
  updatedAt: Date;
}

const OrderSchema: Schema = new Schema({
  userId: { type: Schema.Types.ObjectId, ref: 'User', required: true },
  products: { type: Schema.Types.Mixed, default: {} },
  emailSent: { type: Boolean, default: false },
  createdAt: { type: Date, default: Date.now },
  updatedAt: { type: Date, default: Date.now },
});


const Order = mongoose.model<IOrder>('Order', OrderSchema);

export {
  Order,
  IOrder
};
